# Class DefaultLayerExtensionFactory

Default implementation of mapping/support/LayerExtensionFactory!LayerExtensionFactory that creates built-in API layer extension types.

#### Implements

- LayerExtensionFactory

#####
Index

### Constructors

constructor

### Properties

instance

### Methods

create

##
Constructors

### `Protected` constructor

- new DefaultLayerExtensionFactory(): DefaultLayerExtensionFactory

- #### Returns DefaultLayerExtensionFactory

##
Properties

### `Static` instance

instance: DefaultLayerExtensionFactory = ...

Singleton instance of this type.

##
Methods

### create

- create(properties): LayerExtension<LayerExtensionProperties>

- Creates a mapping/_LayerExtension!LayerExtension from the given properties.

  #### Parameters

  - properties: LayerExtensionProperties

    The LayerExtension properties.

  #### Returns LayerExtension<LayerExtensionProperties>

  Implementation of LayerExtensionFactory.create